package com.qunzhixinxi.hnqz.common.ding.entity;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.qunzhixinxi.hnqz.common.ding.sign.AccessSign;
import lombok.Getter;

import java.util.HashMap;
import java.util.Map;

/**
 * 公共请求参数
 *
 * @author zhangwt
 * @since 1.0
 */
public abstract class CommonRequest {

	/**
	 * token数据
	 */
	@Getter
	@JsonIgnore
	protected AccessSign sign;

	/**
	 * 查询地址
	 */
	@Getter
	@JsonIgnore
	protected String queryUrl;

	/**
	 * uri
	 */
	@Getter
	@JsonIgnore
	protected String uri;

	/**
	 * uri
	 */
	@Getter
	@JsonIgnore
	protected String body;




}
