package com.qunzhixinxi.hnqz.common.ding.entity;

import lombok.Data;

/**
 * 公共请求参数
 *
 * @author zhangwt
 * @since 1.0
 */
@Data
public abstract class CommonResponse {
	/**
	 * 业务码
	 */
	private String code;

	/**
	 * 信息
	 */
	private String msg;



	private Boolean success;

	/**
	 * 是否成功
	 *
	 * @param
	 * @return
	 * @author jimmy.zhang
	 * @since 1.0
	 */
	public boolean isSuccess() {
		return "200".equals(this.code)&&success;
	}
}
