package com.qunzhixinxi.hnqz.common.ding.sign;

import lombok.Data;

import java.time.Duration;
import java.time.LocalDateTime;
import java.time.ZoneOffset;

/**
 * 鉴权Token
 *
 * @author jimmy.zhang
 * @since 1.0
 */
@Data
public class AccessSign {
    /**
     * 引用id
     */
    private String appId;

    /**
     * 授权码
     */
    private String sign;

	public AccessSign(String appId, String sign) {
		this.appId = appId;
		this.sign = sign;
	}
}
