package com.qunzhixinxi.hnqz.common.taxhelper.entity.model;

import com.qunzhixinxi.hnqz.common.taxhelper.config.TaxHelperConfig;
import lombok.Data;


/**
 * {@code TaxHelperH5BizTokenModel} H5 token获取model
 *
 * @author Hengchen.Sun
 * @version 1.0.0
 * @date 2021-02-22
 * @since ver.1.0.0
 */
@Data
public class TaxHelperH5BizTokenModel extends TaxHelperModel {

	private static final long serialVersionUID = -1708106472881176225L;

	/**
	 * 身份证号
	 */
	private String idCard;

	/**
	 * 用户完成或取消验证后网页跳转的目标URL。（回调方法为Post）
	 */
	private String returnUrl;

	/**
	 * 回调地址
	 */
	private String notifyUrl;

	public TaxHelperH5BizTokenModel(TaxHelperConfig taxHelperConfig){
		this.appId = taxHelperConfig.getAppId();
		this.appSecrete = taxHelperConfig.getAppSecrete();
		this.queryUrl = taxHelperConfig.getQueryUrl();
	}


}
