package com.qunzhixinxi.hnqz.common.taxhelper.entity.request;

import com.qunzhixinxi.hnqz.common.taxhelper.entity.model.TaxHelperECheckModel;

/**
 * {@code TaxHelperECheckRequest} 小程序根据token查询E证通认证结果
 *
 * @author Hengchen.Sun
 * @version 1.0.0
 * @date 2021-06-07
 * @since ver.1.0.0
 */
public class TaxHelperECheckRequest extends TaxHelperRequest {

	/**
	 * 认证token路径
	 */
	private static final String PATH = "/lgsby/api/appletECheckFace";

	public TaxHelperECheckRequest(TaxHelperECheckModel bizModel) {
		this.bizModel = bizModel;
		this.queryUrl = String.format("%s%s", bizModel.getQueryUrl(), PATH);
	}
}
