package com.qunzhixinxi.hnqz.admin.entity;/*
 *    Copyright (c) 2018-2025, hnqz All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the following disclaimer in the
 * documentation and/or other materials provided with the distribution.
 * Neither the name of the pig4cloud.com developer nor the names of its
 * contributors may be used to endorse or promote products derived from
 * this software without specific prior written permission.
 * Author: hnqz
 */


import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 积分包任务类型表
 *
 * @author pigx code generator
 * @date 2021-01-04 17:13:30
 */
@Data
@TableName("wm_score_task_type")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "积分包任务类型表")
public class WmScoreTaskType extends Model<WmScoreTaskType> {
	private static final long serialVersionUID = 1L;

	/**
	 * 主键id
	 */
	@TableId
	@ApiModelProperty(value="主键id")
	private Long id;
	/**
	 * 关联id
	 */
	@ApiModelProperty(value="关联id")
	private String scoreId;
	/**
	 * 类型
	 */
	@ApiModelProperty(value="类型")
	private String type;

	/**
	 * 有效任务类型id
	 */
	@ApiModelProperty(value="有效任务类型id")
	private String taskTypeId;

	/**
	 * 类型名称
	 */
	@TableField(exist = false)
	private String taskTypeName;
}
