package com.qunzhixinxi.hnqz.admin.entity.dto;

import lombok.Data;

import java.io.Serializable;

/**
 * {@code PickUpScorePackageDTO} 领取积分包DTO
 *
 * @author Hengchen.Sun
 * @version 1.0.0
 * @date 2021-05-27
 * @since ver.1.0.0
 */
@Data
public class PickUpScorePackageDTO implements Serializable {
	private static final long serialVersionUID = -2285325125153177458L;

	/**
	 * 部门id
	 */
	private Integer deptId;

	/**
	 * 接单人手机号
	 */
	private String username;

	/**
	 * 积分包id
	 */
	private Integer packageId;
}
