package com.qunzhixinxi.hnqz.admin.entity.dto;

import lombok.Data;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Pattern;
import javax.validation.constraints.Size;
import java.io.Serializable;

/**
 * {@code TaxHelperAddMemberDTO} 税邦云增员DTO
 *
 * @author Hengchen.Sun
 * @version 1.0.0
 * @date 2021-05-17
 * @since ver.1.0.0
 */
@Data
public class TaxHelperAddMemberDTO extends BaseTaxHelperDTO {

	private static final long serialVersionUID = 408700349780462321L;

	/**
	 * 身份证号
	 */
	private String idNumber;

	/**
	 * 人员类型，对应的发票类目
	 */
	private Integer type;

}
