package com.qunzhixinxi.hnqz.admin.entity.dto;

import lombok.Data;

/**
 * {@code TaxHelperTokenDTO} 获取税邦云H5 Token
 *
 * @author Hengchen.Sun
 * @version 1.0.0
 * @date 2021-05-18
 * @since ver.1.0.0
 */
@Data
public class TaxHelperTokenDTO extends BaseTaxHelperDTO {

	private static final long serialVersionUID = 895660559303952291L;

	/**
	 * 用户完成或取消验证后网页跳转的目标URL。（回调方法为Post）
	 */
	private String returnUrl;
}
