package com.qunzhixinxi.hnqz.admin.entity.model.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * {@code CommonUserExcelModel} 用户excel模型
 *
 * @author Hengchen.Sun
 * @version 1.0.0
 * @date 2021/07/20 10:53:32
 */
@Data
public class CommonUserExcelModel implements Serializable {
	private static final long serialVersionUID = -8680773572039025644L;

	/**
	 * id
	 */
	@ExcelProperty(index = 0)
	private String id;

	/**
	 * 用户真实姓名
	 */
	@ExcelProperty(index = 1)
	private String realName;

	/**
	 * 用户名
	 */
	@ExcelProperty(index = 2)
	private String username;

	/**
	 * 省
	 */
	@ExcelProperty(index = 3)
	private String province;

	/**
	 * 市
	 */
	@ExcelProperty(index = 4)
	private String city;


	/**
	 * 角色名称
	 */
	@ExcelProperty(index = 5)
	private String roleName;

	/**
	 * 锁定状态
	 */
	@ExcelProperty(index = 6)
	private String lockFlag;

	/**
	 * 省份编码
	 */
	@ExcelProperty(index = 7)
	private String provinceCode;

	/**
	 * 城市编码
	 */
	@ExcelProperty(index = 8)
	private String cityCode;

}
