package com.qunzhixinxi.hnqz.admin.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.qunzhixinxi.hnqz.admin.entity.WmProject;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * CRO关联的项目管理表
 *
 * @author lixuesong
 * @date 2021年06月21日 13:12
 */
@Mapper
public interface WmProjectMapper extends BaseMapper<WmProject> {

	/**
	 * 分页查询
	 *
	 * @param page
	 * @param deptId
	 * @param projectName
	 * @param delegate
	 * @return
	 */
	IPage<WmProject> listProjectPage(Page page, @Param("deptId") Integer deptId, @Param("projectName") String projectName, @Param("delegate") String delegate);

	/**
	 * 根据id查询
	 *
	 * @param id
	 * @return
	 */
	WmProject getProjectById(@Param("id") Integer id);
}
