/*
 *    Copyright (c) 2018-2025, hnqz All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the following disclaimer in the
 * documentation and/or other materials provided with the distribution.
 * Neither the name of the pig4cloud.com developer nor the names of its
 * contributors may be used to endorse or promote products derived from
 * this software without specific prior written permission.
 * Author: hnqz
 */

package com.qunzhixinxi.hnqz.admin.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qunzhixinxi.hnqz.admin.entity.WmWkAlbum;
import com.qunzhixinxi.hnqz.admin.entity.input.WmWkAlbumApiInput;

/**
 * 文库-相册
 *
 * @author gaoyanng
 * @date 2020-06-25 23:35:24
 */
public interface WmWkAlbumService extends IService<WmWkAlbum> {

	void saveWmWkAlbum(WmWkAlbum wmWkAlbum);

	void updateWmWkAlbumById(WmWkAlbum wmWkAlbum);

	Page pageByCondition(Page page, WmWkAlbumApiInput input);

	Page pageByConditionNew(Page page, WmWkAlbumApiInput input);
}
