package com.qunzhixinxi.hnqz.daemon.quartz;

import com.qunzhixinxi.hnqz.common.datasource.annotation.EnableDynamicDataSource;
import com.qunzhixinxi.hnqz.common.feign.annotation.EnableHnqzFeignClients;
import com.qunzhixinxi.hnqz.common.security.annotation.EnableHnqzResourceServer;
import com.qunzhixinxi.hnqz.common.swagger.annotation.EnableHnqzSwagger2;
import org.springframework.boot.SpringApplication;
import org.springframework.cloud.client.SpringCloudApplication;

/**
 * @author frwcloud
 * @date 2019/01/23 定时任务模块
 */
@EnableHnqzSwagger2
@EnableHnqzFeignClients
@SpringCloudApplication
@EnableHnqzResourceServer
@EnableDynamicDataSource
public class HnqzDaemonQuartzApplication {

	public static void main(String[] args) {
		SpringApplication.run(HnqzDaemonQuartzApplication.class, args);
	}

}
