package com.qunzhixinxi.hnqz.daemon.quartz.entity;

import lombok.Data;

/**
 * 客户指定月份业绩
 *
 * @author lixuesong
 * @date 2021年06月04日 16:50
 */
@Data
public class WmDaCustomerStatistics {

	/**
	 * 按积分值统计的GMV（单位：积分）
	 */
	private Integer gmv1;

	/**
	 * gmv1收益率（万分之）
	 */
	private Integer gmv1Rate;

	/**
	 * 按结算额统计的GMV（单位：分）
	 */
	private Integer gmv2;

	/**
	 * gmv2收益率（万分之）
	 */
	private Integer gmv2Rate;

	/**
	 * 要易收益（单位：分）
	 */
	private Integer income;


}
