/*
 *    Copyright (c) 2018-2025, hnqz All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the following disclaimer in the
 * documentation and/or other materials provided with the distribution.
 * Neither the name of the pig4cloud.com developer nor the names of its
 * contributors may be used to endorse or promote products derived from
 * this software without specific prior written permission.
 * Author: hnqz
 */

package com.qunzhixinxi.hnqz.daemon.quartz.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 文章抓取配置
 *
 * @author pigx code generator
 * @date 2020-12-26 15:53:39
 */
@Data
@TableName("wm_wk_article_config")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "文章抓取配置")
public class WmWkArticleConfig extends Model<WmWkArticleConfig> {
private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @TableId
    @ApiModelProperty(value="")
    private Integer id;
    /**
     * 
     */
    @ApiModelProperty(value="")
    private String type;
    /**
     * 
     */
    @ApiModelProperty(value="")
    private String source;
    /**
     * 
     */
    @ApiModelProperty(value="")
    private Integer total;
    /**
     * 
     */
    @ApiModelProperty(value="")
    private LocalDateTime createTime;
    }
