package com.qunzhixinxi.hnqz.daemon.quartz.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qunzhixinxi.hnqz.daemon.quartz.entity.SysDept;
import com.qunzhixinxi.hnqz.daemon.quartz.mapper.SysDeptMapper;
import com.qunzhixinxi.hnqz.daemon.quartz.service.SysDeptService;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * {@code SysDeptServiceImpl} 类
 *
 * @author Hengchen.Sun
 * @version 1.0.0
 * @date 2021-06-07
 * @since ver.1.0.0
 */
@Service
@Slf4j
@AllArgsConstructor
public class SysDeptServiceImpl extends ServiceImpl<SysDeptMapper, SysDept> implements SysDeptService {

	private SysDeptMapper sysDeptMapper;

	/**
	 * 查询所有dept
	 *
	 * @return
	 */
	@Override
	public List<SysDept> listAllDept() {
		return sysDeptMapper.listAllDept();
	}
}
