package com.qunzhixinxi.hnqz.common.taxhelper.entity.request;

import com.qunzhixinxi.hnqz.common.taxhelper.entity.model.TaxHelperSettlementModel;
import lombok.Data;

/**
 * {@code TaxHelperSettlementRequest} 结算请求
 *
 * @author Hengchen.Sun
 * @version 1.0.0
 * @date 2021-02-22
 * @since ver.1.0.0
 */
@Data
public class TaxHelperSettlementRequest extends TaxHelperRequest {

	/**
	 * 结算地址
	 */
	private static final String PATH = "/lgsby/api/settlement";

	public TaxHelperSettlementRequest(TaxHelperSettlementModel bizModel) {
		this.bizModel = bizModel;
		this.queryUrl = String.format("%s%s", bizModel.getQueryUrl(), PATH);
	}
}
