package com.qunzhixinxi.hnqz.admin.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 *  项目内 请求URL配置
 *
 * @author zhangwt
 * @since 1.0
 */
@Data
@Component
@ConfigurationProperties( prefix = "app.config")
public class UpmsConfig {

	private Boolean enable;
    /**
     * apiUrl
     */
    private String apiUrl;
    private String serverUrl;
    private String clientUrl;
    private String basePath;

	/**
	 * 最大分享值
	 */
	private Integer maxShareTimes;

	private String formMail;


}
