package com.qunzhixinxi.hnqz.admin.entity;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

/**
 * 发送客服消息请求报文
 *
 * @author lixuesong
 * @date 2021年05月08日 18:26
 */
@Data
public class SysWxCustomerMessagePostBody {

	/**
	 * 用户的OpenID
	 */
	@JSONField(name = "touser")
	private String toUser;

	/**
	 * 消息类型（text文本消息，image图片消息）
	 */
	@JSONField(name = "msgtype")
	private String msgType;

	/**
	 * 文本消息
	 */
	private SysWxCustomerMessageTextPostBody text;

	/**
	 * 图片消息
	 */
	private SysWxCustomerMessageImagePostBody image;

}
