package com.qunzhixinxi.hnqz.admin.entity;

import lombok.Data;

import java.math.BigDecimal;

/**
 * 客户指定月份业绩
 *
 * @author lixuesong
 * @date 2021年06月04日 16:50
 */
@Data
public class WmDaCustomerStatistics {

	/**
	 * 按积分值统计的GMV（单位：积分）
	 */
	private BigDecimal gmv1;

	/**
	 * 按结算额统计的GMV（单位：元）
	 */
	private BigDecimal gmv2;

	/**
	 * 要易收益（单位：元）
	 */
	private BigDecimal income;
}
