package com.qunzhixinxi.hnqz.admin.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;
import java.util.Map;

/**
 * 档案-项目管理
 *
 * @author Liujh
 * @date 2020-12-8
 */
@Data
@TableName("wm_da_track")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "档案-跟踪信息")
public class WmDaTrack extends Model<WmDaTrack> {
	@TableId
	@ApiModelProperty(value="")
    private Integer id;

	@ApiModelProperty(value="跟踪主体名称")
    private String tracePrincipalName;

	@ApiModelProperty(value="跟踪客体名称")
    private String traceObjectName;

	@ApiModelProperty(value="状态")
    private Integer status;

	@ApiModelProperty(value="创建时间")
	private Date createTime;

	@ApiModelProperty(value="创建人")
	private Integer createUser;

	@ApiModelProperty(value="更新时间")
	private Date updateTime;

	@ApiModelProperty(value="更新人")
	private Integer updateUser;

	@ApiModelProperty(value="项目id")
	private Long projectId;

	@ApiModelProperty(value="备用1")
	private String export1;

	@ApiModelProperty(value="备用2")
	private String export2;

	@ApiModelProperty(value="备用3")
	private String export3;

	public WmDaTrack generateWmDaTrack(Map<String,Object> map){
//		String Id= StringUtil.toString(map.get("id"));
//		if(null!=Id&&!"".equals(Id)){
//			this.setId(Integer.valueOf(Id));
//		}
//		this.setTraceObjectName(map.get("traceObjectName")==null?null:StringUtil.toString(map.get("traceObjectName")));
//		this.setTracePrincipalName(map.get("tracePrincipalName")==null?null:StringUtil.toString(map.get("tracePrincipalName")));
//		this.setStatus(map.get("status")==null?null:Integer.valueOf(StringUtil.toString(map.get("status"))));
//		this.setProjectId(map.get("projectId")==null?null:Integer.valueOf(StringUtil.toString(map.get("projectId"))));

		return this;
	}


}
