/*
 *    Copyright (c) 2018-2025, hnqz All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the following disclaimer in the
 * documentation and/or other materials provided with the distribution.
 * Neither the name of the pig4cloud.com developer nor the names of its
 * contributors may be used to endorse or promote products derived from
 * this software without specific prior written permission.
 * Author: hnqz
 */

package com.qunzhixinxi.hnqz.admin.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 文章分享
 *
 * @author pigx code generator
 * @date 2020-07-09 22:34:30
 */
@Data
@TableName("wm_wk_article_share")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "文章分享")
public class WmWkArticleShare extends Model<WmWkArticleShare> {
private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @TableId
    @ApiModelProperty(value="")
    private Integer id;
    /**
     * 分享类型
     */
    @ApiModelProperty(value="分享类型")
    private String shareType;
    /**
     * 文章ID
     */
    @ApiModelProperty(value="文章ID")
    private String arctileId;
    /**
     * 分享用户ID
     */
    @ApiModelProperty(value="分享用户ID")
    private String shareUserid;
    /**
     * 打开文章用户
     */
    @ApiModelProperty(value="打开文章用户")
    private String openUser;
    /**
     * 打开时间
     */
    @ApiModelProperty(value="打开时间")
    private LocalDateTime createTime;
    /**
     * 备用字段1
     */
    @ApiModelProperty(value="备用字段1")
    private String temp1;
    /**
     * 备用字段2
     */
    @ApiModelProperty(value="备用字段2")
    private String temp2;
    /**
     * 备用字段3
     */
    @ApiModelProperty(value="备用字段3")
    private String temp3;
    }
