package com.qunzhixinxi.hnqz.admin.entity.dto;

import lombok.Data;

import java.io.Serializable;

/**
 * {@code BaseTaxHelperDTO} 税邦云操作基础DTO
 *
 * @author Hengchen.Sun
 * @version 1.0.0
 * @date 2021-05-18
 * @since ver.1.0.0
 */
@Data
public abstract class BaseTaxHelperDTO implements Serializable {

	private static final long serialVersionUID = 4765769750206098329L;

	/**
	 * 用户名
	 */
	private String username;

	/**
	 * 所属部门id
	 */
	private Integer deptId;
}
