package com.qunzhixinxi.hnqz.admin.entity.dto;

import lombok.Data;

/**
 * {@code TaxHelperBindingCardCodeDTO} 税邦云绑卡验证码DTO
 *
 * @author Hengchen.Sun
 * @version 1.0.0
 * @date 2021-05-18
 * @since ver.1.0.0
 */
@Data
public class TaxHelperBindingCardCodeDTO extends BaseTaxHelperDTO {
	private static final long serialVersionUID = -56934263189012008L;

	/**
	 * 银行卡号
	 */
	private String payAccount;

	/**
	 * 银行预留手机号
	 */
	private String mobile;
}
