package com.qunzhixinxi.hnqz.admin.entity.input;

import com.qunzhixinxi.hnqz.admin.entity.base.BaseEncryptedInfo;
import lombok.Data;

import java.io.Serializable;

/**
 * {@code TaskSettleEncryptedInput} 上传证据链输入信息（加密)
 *
 * @author Hengchen.Sun
 * @version 1.0.0
 * @date 2021-04-06
 * @since ver.1.0.0
 */
@Data
public class TaskSettleEncryptedInput extends BaseEncryptedInfo implements Serializable {

	private static final long serialVersionUID = -8347648721542679418L;

	/**
	 * 加密信息
	 */
	private String encryptedInfo;

	/**
	 * AES密码（被加密）
	 */
	private String password;

	/**
	 * 主体id
	 */
	private String appId;

}
