package com.qunzhixinxi.hnqz.admin.entity.output;

import com.qunzhixinxi.hnqz.admin.entity.base.BaseEncryptedInfo;
import lombok.Data;

import java.io.Serializable;

/**
 * {@code TaskSettleEncryptedOutput} 批量上传证据链加密结果
 *
 * @author Hengchen.Sun
 * @version 1.0.0
 * @date 2021-04-12
 * @since ver.1.0.0
 */
@Data
public class TaskSettleEncryptedOutput extends BaseEncryptedInfo implements Serializable {

	private static final long serialVersionUID = 4808449606564093513L;
	/**
	 * 加密信息
	 */
	private String encryptedInfo;

	/**
	 * AES密码（被加密）
	 */
	private String password;
}
