package com.qunzhixinxi.hnqz.admin.mapper;/*
 *    Copyright (c) 2018-2025, hnqz All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the following disclaimer in the
 * documentation and/or other materials provided with the distribution.
 * Neither the name of the pig4cloud.com developer nor the names of its
 * contributors may be used to endorse or promote products derived from
 * this software without specific prior written permission.
 * Author: hnqz
 */


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qunzhixinxi.hnqz.admin.entity.WmScoreTaskType;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 积分包任务类型表
 *
 * @author pigx code generator
 * @date 2021-01-04 17:13:30
 */
@Mapper
public interface WmScoreTaskTypeMapper extends BaseMapper<WmScoreTaskType> {

	List<WmScoreTaskType> listWmScoreTaskTypes(WmScoreTaskType wmScoreTaskType);

	int batchInsertType(List<WmScoreTaskType> wmScoreTaskTypeList);

	int deleteByScoreId(String scoreId);

	List<WmScoreTaskType> listWmScoreTaskType(WmScoreTaskType wmScoreTaskType);

	List<WmScoreTaskType> selectByScoreId(@Param("query")WmScoreTaskType wmScoreTaskType);

	List<WmScoreTaskType> getScoreTaskTypeByScoreId(@Param("scoreId")String scoreId);

	List<WmScoreTaskType>  getListByScoreId(@Param("query")WmScoreTaskType wmScoreTaskType);

}
