/*
 *    Copyright (c) 2018-2025, hnqz All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the following disclaimer in the
 * documentation and/or other materials provided with the distribution.
 * Neither the name of the pig4cloud.com developer nor the names of its
 * contributors may be used to endorse or promote products derived from
 * this software without specific prior written permission.
 * Author: hnqz
 */
package com.qunzhixinxi.hnqz.admin.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qunzhixinxi.hnqz.admin.entity.WmTaskRule;
import com.qunzhixinxi.hnqz.admin.mapper.WmTaskRuleMapper;
import com.qunzhixinxi.hnqz.admin.service.WmTaskRuleService;
import org.springframework.stereotype.Service;

/**
 * 任务积分规则
 *
 * @author gaoyanng
 * @date 2020-06-25 23:35:24
 */
@Service
public class WmTaskRuleServiceImpl extends ServiceImpl<WmTaskRuleMapper, WmTaskRule> implements WmTaskRuleService {

}
