package com.qunzhixinxi.hnqz.daemon.quartz.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 *  项目内 请求URL配置
 *
 * @author zhangwt
 * @since 1.0
 */
@Data
@Component
@ConfigurationProperties( prefix = "app.config")
public class QuartzAppConfig {
    /**
     * appUrl
     */
    private Boolean enable;
    private String apiUrl;
    private String clientUrl;


}
